import 'package:syncrow_web/pages/device_managment/factories/device_bloc_dependencies_factory.dart';
import 'package:syncrow_web/pages/device_managment/two_g_glass_switch/bloc/two_gang_glass_switch_bloc.dart';

abstract final class TwoGangGlassSwitchBlocFactory {
  const TwoGangGlassSwitchBlocFactory._();

  static TwoGangGlassSwitchBloc create({
    required String deviceId,
  }) {
    return TwoGangGlassSwitchBloc(
      deviceId: deviceId,
      controlDeviceService:
          DeviceBlocDependenciesFactory.createControlDeviceService(),
      batchControlDevicesService:
          DeviceBlocDependenciesFactory.createBatchControlDevicesService(),
    );
  }
}
